<?php require_once('../auth/auth.php'); ?>
<?php
if(isset($_GET['stid'])){
   $stid= $_GET['stid'];
   $stidquery= mysqli_query($conn,"SELECT `head`,`body` FROM sms_tamp WHERE stid='$stid' LIMIT 1 ") or die (mysqli_error($conn));
  $rows= mysqli_fetch_assoc($stidquery);
   $head=$rows['head'];
   $body=$rows['body'];
}
?>
<section class="content">
  <div class="container-fluid">
    <div class="row">
     <div class="col-md-12">
       <div class="card card-primary card-outline direct-chat direct-chat-primary shadow-none" style="border-left:1px solid #969c9d;border-right:1px solid #969c9d;border-bottom:1px solid #969c9d;">
         <div class="card-header" style="padding: 5px 8px;"><h3 class="card-title"><?php echo language(271); ?> </h3> <div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="remove"> <i class="fas fa-times"></i>  </button> </div>
       </div>
       <form id="sms_form" action="#" method="post" autocomplete="off">
        <?php if(isset($_GET['stid'])){  ?>
        <input type="hidden" name="newtamp" id="newtamp" value="<?php echo @$stid ;?>"/>
        <?php }else{?>
        <input type="hidden" name="newtamp" id="newtamp" value="0"/>
        <?php } ?>

        <div class="card-body">
         <div class="col-md-12">
           <div class="row">

    
            <div class="col-md-6">
              <div class="form-group">
                <label><?php echo language(275); ?> <b class="text-danger"> *</b></label>
                <input type="text" name="head"  value="<?php echo @$head ?>" class="form-control form-control-sm inputselect"  style="text-align:center;" required="true">
              </div>
            </div>

            <div class="col-md-6">
              <div class="form-group">
                <label><?php echo language(274); ?><b class="text-danger"> *</b></label>
                <input type="text" name="body"  value="<?php echo @$body ?>" class="form-control form-control-sm inputselect" style="text-align:center;" required="true">
              </div>
            </div>
          </div>
        </div>
      </div>
      <center>
       <div class="card-footer" style="padding: 8px 5px;">
        <button type="submit" id="save" class="btn btn-success btn-xs"><?php if (@$_GET['stid']) {echo language(25);}else{echo language(23);}?></button>
        <button type="reset" class="btn btn-secondary btn-xs"><?php echo language(24) ?></button>
      </div>
    </center>
  </form>
  <div class="card-body p-1">
    <tr>
      <th rowspan="3"  class="text-center" >
        <input type="text" id="search" class="form-control form-control-sm search"  placeholder="searching" required="true" style="border-radius: ;border:1px solid primary;width:100%; text-align:center; padding:; ">
      </th>

    </tr>
    <table id="trbl_table" class=" ttable" cellpadding="0" cellspacing="0">
      <thead>
        <tr class="sticky-top">
          <th class="text-center" style="width:5%;"><?php echo language(15); ?></th>
          <th style="width:25%;"><?php echo language(244); ?> </th>
          <th class="text-center" style="width:25%;"><?php echo language(275); ?> </th>
          <th class="text-center" style="width:25%;"><?php echo language(274); ?></th>
          <th class="text-center" style="width:20%;"><?php echo language(131); ?></th>
        </tr>
      </thead>
      <tbody id="colview" class="searchtable">
        <?php
        $sms_tamp_query= mysqli_query($conn,"SELECT * FROM sms_tamp WHERE  coid='$coid' AND $bid='$bid' AND brid='$brid'  ") or die (mysqli_error($conn));
        $i=0;
        while ($rowar= mysqli_fetch_array ($sms_tamp_query) ){
         $branchid  =$rowar['brid'];
         $branch_name=mysqli_fetch_assoc(mysqli_query($conn,"SELECT branch_name FROM branch WHERE brid='$branchid'  LIMIT 1 "))['branch_name'];  
         ?>
          <tr class="btn-outline-dark tr-hover delete_op<?php echo $rowar['stid'];?>"  onclick="pagecall('../sms/sms_tamp_index.php?stid='+'<?php echo $rowar['stid'];?>','#sms_view')">
          <td  style="font-size: 11.5px;text-align: center;"><?php echo ++$i ?></td>
          <td  style="font-size: 11.5px"><?php echo $branch_name;?> </td>



          <td   style="font-size: 11.5px"><?php echo $rowar['head'] ;?>  </td>
          <td  style="font-size: 11.5px"><?php echo $rowar['body'];?></td>
          <td  style="font-size: 11.5px"> <?php echo $rowar['date'];?></td>
        </tr>
      <?php } ?>
    </tbody>
  </table>
</div>
</div>
</div>






</div>
</div>
</section>

<script>
 $(document).ready(function() {

   $('#sms_form').on('submit', function(e){
     $('#save').prop('disabled', true);
     $('#save').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> '+'Loading...');
     e.preventDefault();  
     $.post("../sms/sms_tamp_index_db.php",$(this).serialize(),function(data){
      $('#sms_form')[0].reset();
      $('#save').prop('disabled', false);
      $.post('../sms/sms_tamp_index.php?running='+1,{},function(res){
       $('#sms_view').html(res);
       toastr.success(Showing, '<?php echo "Data Load Succefully " ?>');
     }); 
    });
   });

    $('.search').on('keyup',function(){
      var searchTerm = $(this).val().toLowerCase();
      $('.searchtable tr').each(function(){
        var lineStr = $(this).text().toLowerCase();
        if(lineStr.indexOf(searchTerm) === -1){
          $(this).hide();
        }else{
          $(this).show();
        }
      });
    });

    $('th').each(function (col) {
      $(this).hover(
        function () {
          $(this).addClass('focus');
        },
        function () {
          $(this).removeClass('focus');
        }
        );
      $(this).click(function () {
        if ($(this).is('.asc')) {
          $(this).removeClass('asc');
          $(this).addClass('desc selected');
          sortOrder = -1;
        } else {
          $(this).addClass('asc selected');
          $(this).removeClass('desc');
          sortOrder = 1;
        }
        $(this).siblings().removeClass('asc selected');
        $(this).siblings().removeClass('desc selected');
        var arrData = $('table').find('tbody >tr:has(td)').get();
        arrData.sort(function (a, b) {
          var val1 = $(a).children('td').eq(col).text().toUpperCase();
          var val2 = $(b).children('td').eq(col).text().toUpperCase();
          if ($.isNumeric(val1) && $.isNumeric(val2))
            return sortOrder == 1 ? val1 - val2 : val2 - val1;
          else
            return (val1 < val2) ? -sortOrder : (val1 > val2) ? sortOrder : 0;
        });
        $.each(arrData, function (index, row) {
          $('tbody').append(row);
        });
      });
    });
  });
</script>

